# Visualization
TKMeshVS
MeshVS

# MeshVS_MeshEntityOwner Class Reference

The custom owner. This class provides methods to store owner information:
1) An address of element or node data structure
2) Type of node or element owner assigned
3) ID of node or element owner assigned
.

`#include <MeshVS_MeshEntityOwner.hxx>`

Inheritance diagram for MeshVS_MeshEntityOwner:

[legend]

## Public Member Functions

Standard_EXPORT | MeshVS_MeshEntityOwner (const SelectMgr_SOPtr &SelObj, const Standard_Integer ID, const Standard_Address MeshEntity, const MeshVS_EntityType &Type, const Standard_Integer Priority=0, const Standard_Boolean IsGroup=Standard_False)
Standard_EXPORT Standard_Address | Owner () const
| Returns an address of element or node data structure .
Standard_EXPORT MeshVS_EntityType | Type () const
| Returns type of element or node data structure .
Standard_EXPORT Standard_Integer | ID () const
| Returns ID of element or node data structure .
Standard_EXPORT Standard_Boolean | IsGroup () const
| Returns true if owner represents group of nodes or elements .
virtual Standard_EXPORT Standard_Boolean | IsHilighted (const Handle(PrsMgr_PresentationManager)&PM, const Standard_Integer Mode=0) const
| Returns true if owner is hilighted .
virtual Standard_EXPORT void | Hilight ()
| Hilights owner .
virtual Standard_EXPORT void | Hilight (const Handle(PrsMgr_PresentationManager)&PM, const Standard_Integer Mode=0)
| Hilights owner .
virtual Standard_EXPORT void | HilightWithColor (const Handle(PrsMgr_PresentationManager3d)&PM, const Quantity_NameOfColor theColor, const Standard_Integer Mode=0)
| Hilights owner with the certain color .
virtual Standard_EXPORT void | Unhilight (const Handle(PrsMgr_PresentationManager)&PM, const Standard_Integer Mode=0)
| Strip hilight of owner .
virtual Standard_EXPORT void | Clear (const Handle(PrsMgr_PresentationManager)&PM, const Standard_Integer Mode=0)
| Clears the owners matching the value of the selection mode aMode from the presentation manager object aPM. .
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Private Attributes

Standard_Address | myAddr
MeshVS_EntityType | myType
Standard_Integer | myID
Standard_Boolean | myIsGroup

## Constructor & Destructor Documentation

Standard_EXPORT MeshVS_MeshEntityOwner::MeshVS_MeshEntityOwner | ( | const SelectMgr_SOPtr & | SelObj,
|  | const Standard_Integer | ID,
|  | const Standard_Address | MeshEntity,
|  | const MeshVS_EntityType & | Type,
|  | const Standard_Integer | Priority = `0`,
|  | const Standard_Boolean | IsGroup = `Standard_False`
| ) |

## Member Function Documentation

virtual Standard_EXPORT void MeshVS_MeshEntityOwner::Clear | ( | const Handle(PrsMgr_PresentationManager)& | PM,
|  | const Standard_Integer | Mode = `0`
| ) | `[virtual]`

| Reimplemented from SelectMgr_EntityOwner.

Standard_EXPORT const MeshVS_MeshEntityOwner::Handle | ( | Standard_Type |  | ) | const

| Reimplemented from SelectMgr_EntityOwner.

virtual Standard_EXPORT void MeshVS_MeshEntityOwner::Hilight | ( | const Handle(PrsMgr_PresentationManager)& | PM,
|  | const Standard_Integer | Mode = `0`
| ) | `[virtual]`

| Reimplemented from SelectMgr_EntityOwner.

virtual Standard_EXPORT void MeshVS_MeshEntityOwner::Hilight | ( |  | ) | `[virtual]`

| Reimplemented from SelectMgr_EntityOwner.

virtual Standard_EXPORT void MeshVS_MeshEntityOwner::HilightWithColor | ( | const Handle(PrsMgr_PresentationManager3d)& | PM,
|  | const Quantity_NameOfColor | theColor,
|  | const Standard_Integer | Mode = `0`
| ) | `[virtual]`

| Reimplemented from SelectMgr_EntityOwner.

Standard_EXPORT Standard_Integer MeshVS_MeshEntityOwner::ID | ( |  | ) | const

Standard_EXPORT Standard_Boolean MeshVS_MeshEntityOwner::IsGroup | ( |  | ) | const

virtual Standard_EXPORT Standard_Boolean MeshVS_MeshEntityOwner::IsHilighted | ( | const Handle(PrsMgr_PresentationManager)& | PM,
|  | const Standard_Integer | Mode = `0`
| ) | const`[virtual]`

| Reimplemented from SelectMgr_EntityOwner.

Standard_EXPORT Standard_Address MeshVS_MeshEntityOwner::Owner | ( |  | ) | const

Standard_EXPORT MeshVS_EntityType MeshVS_MeshEntityOwner::Type | ( |  | ) | const

virtual Standard_EXPORT void MeshVS_MeshEntityOwner::Unhilight | ( | const Handle(PrsMgr_PresentationManager)& | PM,
|  | const Standard_Integer | Mode = `0`
| ) | `[virtual]`

| Reimplemented from SelectMgr_EntityOwner.

## Field Documentation

Standard_Address MeshVS_MeshEntityOwner::myAddr `[private]`

Standard_Integer MeshVS_MeshEntityOwner::myID `[private]`

Standard_Boolean MeshVS_MeshEntityOwner::myIsGroup `[private]`

MeshVS_EntityType MeshVS_MeshEntityOwner::myType `[private]`

The documentation for this class was generated from the following file:

- MeshVS_MeshEntityOwner.hxx